Print Page

Apogee Announces Pro Tools HD 8 Compatibility

1/7/2009

Apogee has announced that select Apogee hardware is now compatible with Digidesign's recently released Pro Tools HD 8. All X-HD compatible hardware—including the AD-16X, the DA-16X, the Rosetta 800, and the Rosetta 200—have been approved for use with Pro Tools HD 8 hardware and software running on Mac OS X 10.5.5 or Windows XP SP 2.

The company requests that all questions regarding Apogee product use with Pro Tools HD 8 be submitted to Apogee Tech Support at support@apogeedigital.com or (310) 584-9394. For more information about Apogee products, please visit apogeedigital.com.

  Print Page